Bug 69252 - gftp won't accept user@host NOAUTH
gftp won't accept user@host NOAUTH
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gftp (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
: MoveUpstream, Triaged
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-19 13:08 EDT by Forrest
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-26 19:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Forrest 2002-07-19 13:08:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
When trying to use gftp with my proxy (user@host NOAUTH), gftp seems to add
several superfluous lines after I click OK.  If I try to use gftp to connect to
an ftp server, I get this error:

Error 500 unknown command.

Checking ~/.gftp/gftprc shows that the proxy line contains extra options such as:

proxy_config=USER %hu@%hh%nPASS %hp%nUSER %hu@%hh%nPASS
%hp%n??~X????~G~]~F?~T?~B~[?|
??~G~]~F?~V??~[?????~]~F~U??~G~]~F?~N?~B~[?|??~G~]~F?~V??~[?~\???~Q~F???~]?X@



If I shut down gftp and remove the extraneous characters in the config file, it
works.

Also, the Bookmark for Red Hat Rawhide should be fixed to point to rawhide
(/pub/redhat/linux/rawhide), instead of the top level directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start gftp
2. FTP->Options->FTP tab
3. Enter proxy name/port and choose user@host NOAUTH under proxy server type
4. Try to connect to an ftp server
	

Actual Results:  230 Login successful. Have fun.
USER anonymous@rawhide.redhat.com
500 Unknown command.
Disconnecting from site rawhide.redhat.com

Expected Results:  It should allow one to connect to ftp servers using a proxy.

Additional info:
Comment 1 Havoc Pennington 2002-07-23 21:05:04 EDT
Should try this with 2.0.13 (just built, should appear in rawhide soon)
and see if it still occurs.
Comment 2 Forrest 2002-07-31 14:13:39 EDT
I just tried it on Limbo2 (gftp-2.0.13-2) and it has the same problem.  I set
the proxy, and click OK.  When I return to the options, the proxy auth is set to
custom, and the user@host NOAUTH lines are repeated several times.  Changing it
from custom to user@host NOAUTH does not change anything.
Comment 3 Forrest 2002-08-20 17:57:08 EDT
This still occurs with (null), gftp-2.0.13-4.
Comment 4 Forrest 2002-12-26 18:47:23 EST
This appears to be working in Phoebe.
Comment 5 Havoc Pennington 2002-12-26 19:14:00 EST
Thanks

Note You need to log in before you can comment on or make changes to this bug.